pmem::obj::allocator< T, Policy, Traits > Class Template Reference

(EXPERIMENTAL) Encapsulates the information about the persistent memory allocation model using PMDK's libpmemobj. More...

`#include <libpmemobj++/allocator.hpp>`

Inherits Policy, and Traits.

## Classes

struct | rebind
| Rebind to a different type. More...

## Public Member Functions

| allocator ()=default
| Defaulted constructor.
| ~allocator ()=default
| Defaulted destructor.
| allocator (allocator const &rhs)
| Explicit copy constructor.
template<typename U >
| allocator (allocator< U > const &)
| Type converting constructor.
template<typename U , typename P , typename T2 >
| allocator (allocator< U, P, T2 > const &rhs)
| Type converting constructor.

## Detailed Description

### template<typename T, typename Policy = standard_alloc_policy<T>, typename Traits = object_traits<T>>
class pmem::obj::allocator< T, Policy, Traits >

(EXPERIMENTAL) Encapsulates the information about the persistent memory allocation model using PMDK's libpmemobj.

This information includes the knowledge of the pointer type, their difference type, the type of the size of objects in this allocation model as well as memory allocation and deallocation primitives.

The documentation for this class was generated from the following file:

- pmdk-1.4.1/src/include/libpmemobj++/allocator.hpp